Subject: x2goclient fullscreen mode on macOS Sierra having two displays

From: Michael Ledin <[email-masked]>
Date: Sun, 19 Mar 2017 20:54:17 +0300

Package: x2goclient
Version: 4.1.0.0

I'm running x2goclient on Macbook Pro Retina 15 Late 2013 with macOS Sierra installed and external display connected, so I have two displays.
I have XQuartz 2.7.11 (xorg-server 1.18.4) installed.

My session is set to run in fullscreen mode (also I tried "Use whole display" option set to external monitor). Xinerama extension is disabled. XQuartz fullscreen mode is enabled.

When I launch this session it goes in fullscreen mode but its window stretches to summary width of both displays (built-in and external) but visible only on external display, so I do not see part of the window.

--
Michael Ledin